cap program drop coupe
program coupe
args y at
	use $RAWDATA/`y'/caso`y'b, clear
	// drop replacement contracts
	sort stamnr wgnr dvnr sdvnr
	merge stamnr wgnr dvnr sdvnr using $RAWDATA/`y'/caso`y'e
	tab _merge
	keep if _merge == 1
	drop _merge stamnra dvnra sdvnra redenver datumvv0 datumvv1
	sort stamnr wgnr dvnr sdvnr
	merge stamnr wgnr dvnr sdvnr using $RAWDATA/`y'/caso`y'a
	keep if _merge == 3
	keep if functie == 3 & schtype == 1
	keep if datumsf0 <= d(`at') & datumsf1 > d(`at')
	bys stam brin (datumsf0): replace datumsf0 = datumsf0[1]
	bys stam brin (datumdv0): replace datumdv0 = datumdv0[1]
	bys stam brin (wtfact): replace wtfact = sum(wtfact)
	bys stam brin (wtfact): keep if _n == _N
	bys stam: keep if _N == 1
	keep stamnr wgnr brin wtfact wage datumsf0 datumdv0
	gen year = `y'
	sort stamnr wgnr
	compress
	save data/cross_supp`y', replace
end

coupe 2002 31dec2002
coupe 2001 31dec2001
coupe 2000 31dec2000
coupe 1999 31dec1999

append using data/cross_supp2000
append using data/cross_supp2001
append using data/cross_supp2002

// delete indiv with inconsistent tenure
bys stam brin (datumsf0): replace datumsf0 = datumsf0[1]
bys stam brin (datumdv0): replace datumdv0 = datumdv0[1]
bys stam (year): gen ten0 = (brin ~= brin[_n - 1]) if year == (year[_n - 1] + 1)
by stam: egen x = max(datumsf0 < mdy(1,1,year) & ten0 == 1)
drop if x==1
drop x

// delete indiv with high wtf
bys stam: egen sx = sum(wtfactor > 1.1)
drop if sx > 0
drop sx 

sort stamnr year
compress

gen supp = 1
rename wtfactor wtf_supp
gen lcost_supp = wtf_supp*wage
collapse (sum) supp wtf_supp lcost_supp, by(brin year)
compress
sort brin year

save data/schools_supp, replace

