// INVESTIGATE IMPACT OF EXCLUSION RESTRICTIONS ON TURNOVER PROBABILITIES

qui do crwork

// define specification
unab xvars : age21-age25 age_d1 age_d2 age_d3 lnw baby rktendv FStemp tzbud trpcito   ///
               dzbud drpcito noord zuid oost wwperc vacatbb werkloosheid dwerkloosheid 
unab amen1 : FIpdm FIpdd FIcs FIwtfa FIpopkm2 FIpub FIpcito FIasch FIvsch FIrst
unab amen0 : FSpdm FSpdd FScs FSwtfa FSpopkm2 FSpub FSpcito FSasch FSvsch FSrst
unab z     : zbud zbaby 


est use _nohet

g zbud0 = zbud
g zbaby0 = zbaby

local samplezbud  1
local samplezbaby zbaby0>0

g perc = .
g pzbaby = .
g pzbud = .


qui forv i=1/9 {
	noi di as txt `i' _col(10) _c
	replace perc = 10 * `i' in `i'
	foreach z in zbud zbaby {
		_pctile `z'0 if `sample`z'', n(10)
		replace `z' = r(r`i')
		predict xb, eq(psi) xb
		g p = normal(xb)
		sum p
		noi di as res %10.4f r(mean) _c
		replace p`z' = r(mean) in `i'
		drop p xb
		replace `z' = `z'0
	}
	noi di
}



sc pzbud pzbaby perc in 1/9, mc(black ..) ms(O Oh) yline(.035, lpat(shortdash) lcol(red)) ///
	xtitle(Percentile of Z) /// 
	ytitle("Predicted Quit Probability") ///
	legend(label(1 "Z = Budget") label(2 "Z = Parental Leave Colleagues")) ///
	xlabel(10(10)90) ylabel(0.03 "" 0.032 "" 0.034 "" 0.036 "" 0.038 "" 0.04 "",angle(0))


exit

capture estimates esample : if 1
predict xb, eq(psi) xb
g mr = normalden(xb) / normal(xb)
drop xb

foreach z in zbud zbaby {
	_pctile `z', n(10)
	qui forv i=1/9 {
		local `z' ``z'' `r(r`i')'
	}
}

margins, at(zbud=(`zbud')) expression(normal(predict(equation(psi))))


