clear all
capture log close
log using profs_replicate, replace

// PUT DATA TOGETHER
// from CITO, test score data: cito.dta
// also from CITO: aantal92_04.dta: student count by weighting factor
global CITODATA cito.dta

// folder with teacher admin data
global RAWDATA caso

/*
do crtest
do mk_cross
do mk_schools
do mk_schools_supp
do mk_work
*/


// TABLE 1-7, B1, S1:
do anselect2_modifie

// TABLE 8:
do annewey

// TABLE 9-10:
do counterfactuals2b

// TABLE S3-S5
do anselect2_revis

// FIGURE S1, S2 TABLE S2
do extra_desc_revis


// the 'other' folder contains
//   final.dta: school region & municipality
//   brinpopkm2.dta: population per square km in school's municipality
// the 'cbs' folder contains local labor market info

log close
